@import url('/style/v2/_simple_layout.css');

main a {
  text-decoration: none;
}

main a:hover {
  text-decoration: underline;
  color: inherit;
}

nav ul {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1em;
}

nav ul li a {
  display: flex;
  flex-direction: column;
  aspect-ratio: 1;
  justify-content: center;
  align-items: center;
  row-gap: 0.5em;
  background-color: var(--background);
  background: linear-gradient(180deg, rgba(147, 190, 79, 1) 0%, rgba(118, 190, 79, 1) 100%);
  border-radius: var(--border-radius);
  text-align: center;
  box-shadow: var(--shadow);
}

nav ul li a:hover {
  box-shadow: var(--shadow);
}

nav ul img {
  width: 33%;
}

main h2 {
  margin: 0.25em;
  margin-top: 2em;
  margin-bottom: 0.5em;
  font-size: 1.1em;
}

main ol {
  display: flex;
  flex-direction: column;
  gap: 1em;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
}

main ol li {
  border-radius: var(--border-radius);
  box-shadow: var(--shadow);
  background-color: var(--background);
  background: linear-gradient(180deg, rgba(147, 190, 79, 1) 0%, rgba(118, 190, 79, 1) 100%);
  background-position: 50%;
  background-size: cover;
  scroll-snap-align: start;
  overflow: hidden;
}

main ol li a {
  display: flex;
  flex-direction: column;
  align-content: end;
  position: relative;
}

main ol li a div {
  background-color: rgba(0, 0, 0, 0.5);
  padding: 0.5em;
  margin-top: 2.75em;
}

main ol li h3 {
  padding-bottom: 0.25em;
  font-size: 1.2em;
  line-clamp: 1;
  text-overflow: ellipsis;
}

main ol li span {
  font-size: 0.9em;
}

main ol li img {
  position: absolute;
  width: 2em;
  margin: 0.5em;
  align-self: end;
}

main article {
  background-color: var(--background);
  background: linear-gradient(180deg, rgba(147, 190, 79, 1) 0%, rgba(118, 190, 79, 1) 100%);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow);
  background-image: url(https://images.unsplash.com/photo-1708961462805-9949475ea462?q=80&w=1170&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 50%;
}

main article a {
  display: grid;
  padding: 0.5em;
  background-color: rgba(0, 0, 0, 0.33);
}

main article .details {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 300;
  font-size: 0.8em;
}

main article .tag img {
  margin: 4px;
  height: 12px;
  aspect-ratio: 1;
}

main article .tag {
  background-color: var(--background-dark);
  border-radius: 50%;
}

main article p {
  padding: 0.5em;
  font-weight: 300;
}

main article .more {
  text-align: end;
  font-size: 0.8rem;
}

main article a:hover {
  text-decoration: none;
}

main article a:hover .more {
  text-decoration: underline;
}
